local assets=
{
    Asset("ANIM", "anim/hypeshovel.zip"),
    Asset("ANIM", "anim/swap_hypeshovel.zip"),
  
    Asset("ATLAS", "images/inventoryimages/hypeshovel.xml"),
    Asset("IMAGE", "images/inventoryimages/hypeshovel.tex"),
}


local function OnEquip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_hypeshovel", "swap_hypeshovel")
    owner.AnimState:Show("ARM_carry")
    owner.AnimState:Hide("ARM_normal")
end
  
local function OnUnequip(inst, owner)
    owner.AnimState:Hide("ARM_carry")
    owner.AnimState:Show("ARM_normal")
end
 
local function fn()
  
    local inst = CreateEntity()
 
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddNetwork()
     
    MakeInventoryPhysics(inst)   
      
    inst.AnimState:SetBank("hypeshovel")
    inst.AnimState:SetBuild("hypeshovel")
    inst.AnimState:PlayAnimation("idle")
	
	
	
 local minimap = inst.entity:AddMiniMapEntity()
    minimap:SetIcon( "images/inventoryimages/hypeshovel" )
 
    if not TheWorld.ismastersim then
        return inst
    end
     
	
	inst:AddTag("waterproofer")
	
	inst:AddComponent("waterproofer")
    inst.components.waterproofer:SetEffectiveness(TUNING.WATERPROOFNESS_SMALL)
 
    inst.entity:SetPristine()
     
    inst:AddComponent("tool")
    inst.components.tool:SetAction(ACTIONS.DIG)
	  
    inst:AddComponent("inspectable")
      
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.keepondeath = true
    inst.components.inventoryitem.imagename = "hypeshovel"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/hypeshovel.xml"
      
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( OnEquip )
    inst.components.equippable:SetOnUnequip( OnUnequip )
	inst.components.inventoryitem.keepondeath = true
	     
    return inst
end
return  Prefab("common/inventory/hypeshovel", fn, assets, prefabs) 